#! /bin/bash

THREADS=32

if [ $# -lt 2 ]
then
    echo "USAGE: $0 <c_compiler=gcc,icc,etc> <mpi_c_compiler=mpicc,cc,etc> [THREADS=${THREADS}]";
    exit -1
fi
c_compiler=$1
mpi_c_compiler=$2

if [ $# -gt 2 ]
then
    THREADS=$2
fi

echo "THREADS = ${THREADS}"

outdir=fftw-${c_compiler}-${mpi_c_compiler}
mkdir -p ${outdir}
cd ${outdir}
mkdir 3.3.10
prefix=$(realpath 3.3.10)

curl -O https://www.fftw.org/fftw-3.3.10.tar.gz
tar -zxf fftw-3.3.10.tar.gz
cd fftw-3.3.10
MPICC=${mpi_c_compiler} CC=${c_compiler} ./configure --enable-openmp --enable-mpi --disable-fortran --prefix=${prefix} > ../config.log 2>&1
make -j ${THREADS} > ../make.log 2>&1
make install > ../install.log 2>&1

cd ..
rm -rf fftw-3.3.10 fftw-3.3.10.tar.gz
